aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-01-30 14:22:57 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-01-30 14:22:57 +0000
commit3596a3262e802c59f9c9f0702cc2e26e8ee927ce (patch)
treecfbe81ed8b3c7670f876febb8a6540b7b7a36960
parentfda1ba1e7907c99396d96efa39d05464499deaee (diff)
downloadpaludis-3596a3262e802c59f9c9f0702cc2e26e8ee927ce.tar.gz
paludis-3596a3262e802c59f9c9f0702cc2e26e8ee927ce.tar.xz
Fix some silly bugs
-rw-r--r--ebuild/ebuild.bash10
-rw-r--r--ebuild/src_compile.bash12
-rw-r--r--ebuild/src_install.bash6
3 files changed, 20 insertions, 8 deletions
diff --git a/ebuild/ebuild.bash b/ebuild/ebuild.bash
index fe6dc06..c50fd0f 100644
--- a/ebuild/ebuild.bash
+++ b/ebuild/ebuild.bash
@@ -28,7 +28,7 @@ eval unset LANG ${!LC_*}
shopt -s expand_aliases
EBUILD_KILL_PID=$$
-alias die='diefunc "$FUNCNAME" "$LINENO" "$@"'
+alias die='diefunc "$FUNCNAME" "$LINENO"'
alias assert='_pipestatus="${PIPESTATUS[*]}"; [[ -z "${_pipestatus//[ 0]/}" ]] || diefunc "$FUNCNAME" "$LINENO" "$_pipestatus"'
trap 'echo "exiting with error." ; exit 250' 15
@@ -39,7 +39,7 @@ diefunc()
echo 1>&2
echo "ERROR in ${CATEGORY:-?}/${PF:-?}:" 1>&2
echo "!!! In ${func:-?} at line ${line:-?}" 1>&2
- echo "!!! ${@:-(no message provided)}" 1>&2
+ echo "!!! ${*:-(no message provided)}" 1>&2
echo 1>&2
kill ${EBUILD_KILL_PID}
@@ -77,10 +77,10 @@ case ${1:x} in
exit 0
;;
- unpack)
+ unpack|compile|install)
ebuild_load_ebuild "${2}"
- ebuild_load_module src_unpack
- ebuild_f_unpack
+ ebuild_load_module src_${1}
+ ebuild_f_${1}
exit 0
;;
diff --git a/ebuild/src_compile.bash b/ebuild/src_compile.bash
index f78dd11..0d2b8a6 100644
--- a/ebuild/src_compile.bash
+++ b/ebuild/src_compile.bash
@@ -21,10 +21,16 @@
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA
-src_unpack()
+src_compile()
{
[[ -x ./configure ]] && econf
- [[ -f Makefile ]] || [[ -f makefile ]] || [[ -f GNUmakefile ]] \
- && emake || die "emake failed"
+ if [[ -f Makefile ]] || [[ -f makefile ]] || [[ -f GNUmakefile ]] ; then
+ emake || die "emake failed"
+ fi
+}
+
+ebuild_f_compile()
+{
+ src_compile
}
diff --git a/ebuild/src_install.bash b/ebuild/src_install.bash
index 0472025..46d5d98 100644
--- a/ebuild/src_install.bash
+++ b/ebuild/src_install.bash
@@ -23,5 +23,11 @@
src_install()
{
+ :
+}
+
+ebuild_f_install()
+{
+ src_install
}